/// OBJECT SLICING
/// Pentru evitarea acestui feomen, destructorul clasei trebuie
/// declarat virtual
#include <iostream>
#include <fstream>

class A {
public:
    A()
    {
        std::cout << __PRETTY_FUNCTION__ << '\n';
    }
    virtual ~A()
    {
        std::cout << __PRETTY_FUNCTION__ << '\n';
    }
};

class B : public A {
public:
    B()
    {
        ptr = new int[10000];
        std::cout << __PRETTY_FUNCTION__ << '\n';
    }
    ~B()
    {
        delete[] ptr;
        std::cout << __PRETTY_FUNCTION__ << '\n';
    }
private:
    int* ptr;
};


int main()
{
   A* ptr = new B();

   delete ptr;

   return 0;
}
