#include <iostream>
#include <fstream>


template <typename T1, typename T2>
void Print(const T1& a, const T2& b)
{
    std::cout << __PRETTY_FUNCTION__ << '\n';
    std::cout << a << ' ' << b << '\n';
}

int main()
{
    // Deducere
    Print(100, 'Y');
    Print("Corina", 23.34);

    /// Arg Template EXPLICITE
    Print<int, char>('A', 66);

    Print<std::string>("Salut", 100);
    return 0;
}
