#include <iostream>
#include <fstream>

class Intreg {
public:
    Intreg() : n {0}
    {
    }
    Intreg(int n) : n {n}
    {
    }

    /// Operator de incrementare prefixata

    Intreg& operator ++ ()
    {
        n++;
        return *this;
    }

    /// Operator de incrementare sufixata/postfixata

    Intreg operator ++ (int)
    {
        Intreg tmp {*this};
        n++;
        return tmp;
    }

    friend std::ostream& operator << (std::ostream& os, const Intreg& ob)
    {
        return os << ob.n;
    }

    friend std::istream& operator >> (std::istream& is, Intreg& ob)
    {
        return is >> ob.n;
    }

private:
    int n;
};

int main()
{
    Intreg a {100}, b {200};

 //   std::cout << ++a; /// a.operator ++()

    std::cout << a++; /// a.operator ++(int)
    std::cout << '\n' << a;

    return 0;
}
