/// Assignment Operator
/// Operatorul de Atribuire: Functie Membra Speciala
#include <iostream>
#include <fstream>

class Book {
public:
    Book(std::string title) :
        title {title}
    {
    }
    Book() : title {""}
    {
    }
    friend std::ostream& operator << (std::ostream& os, const Book& b)
    {
        return os << b.title;
    }
private:
    std::string title;
};


int main()
{
    Book b1 {"Iarna vrajbei noastre"};
    Book b2 {"Fructele maniei"};

    /// DEFAULT Assignment Operator
    b1 = b2; /// b1.operator = (b2);

    std::cout << b1;

    return 0;
}
