/// Assignment Operator
/// Operatorul de Atribuire: Functie Membra Speciala
#include <iostream>
#include <fstream>

class Book {
public:
    Book(std::string title) :
        title {title}
    {
    }
    Book() : title {""}
    {
    }
    /// Operator de atribuire
    Book& operator = (const Book& b)
    {
        title = b.title;
        return *this;
    }

    friend std::ostream& operator << (std::ostream& os, const Book& b)
    {
        return os << b.title;
    }
private:
    std::string title;
};


int main()
{
    Book b1 {"Iarna vrajbei noastre"};
    Book b2 {"Fructele maniei"};
    Book b3 {"La rasarit de Eden"};

    ///b1.operator = (b2.operator = (b3));
    b1 = b2 = b3;
    std::cout << b1;

    return 0;
}
