#include <iostream>
#include <fstream>

template <class T1, class T2>
class Container {
public:
    Container() : t1 {T1()}, t2 {T2()}
    {
    }

    Container(const T1& t1, const T2& t2) :
            t1 {t1}, t2 {t2}
    {
    }
private:
    T1 t1;
    T2 t2;
};


int main()
{
    /// Arg Template - obligatoriu EXPLICIT

    /// Compile-time, compilatorul genereaza
    /// clasa Container<int> pe baza sablonului
    /// generarea de clase se numeste instantiere

    Container<int, char> c1 {100, 'R'};
    Container<std::string, double> c2 {"Salut", 'R'};

    Container<Container<std::string, double>, float> c3 {c2, 23.23};

/*
    int x = int();

    std::cout << x;
 */
    return 0;
}
