#include <iostream>
#include <fstream>

class Bancnota {
public:
    Bancnota() : val {0}
    {
    }
    Bancnota(int val) : val {val}
    {
    }
    friend std::ostream& operator << (std::ostream& os, const Bancnota& b)
    {
        return os << b.val;
    }

private:
    int val;
};

/// Sablon de functie (functie template)
/// T - Parametru Template
template <class T>  /// header template
void Scrie(T x)
{
    std::cout << __PRETTY_FUNCTION__ << '\n';
 //   std::cout << x << '\n';
}

int main()
{
    /// Compile-time se vor genera functiile
    /// Arg template de DEDUC in functie de Arg de Apel
    Scrie(100);        /// void Scrie(int)
    Scrie(12.24);      /// void Scrie(double)
    Scrie("Salut");    /// void Scrie(const char*)
    Bancnota b {100};  /// void Scrie(Bancnota)
    Scrie(b);

    /// int, double, const char*, Bancnota - ARGUMENTE TEMPLATE
    /// 100, 12.24, "Salut", b - Argumete de Apel

    return 0;
}
